package com.elab.log.message;

import com.dianping.cat.message.Message;
import com.dianping.cat.message.spi.codec.PlainTextMessageCodec;
import io.netty.buffer.ByteBuf;

/**
 * 消息转化器
 *
 * @author Liukx
 * @create 2018-04-17 18:26
 * @email liukx@elab-plus.com
 **/
public class PlainTextMessageCodecProcess extends PlainTextMessageCodec {

    @Override
    public int encodeMessage(Message message, ByteBuf buf) {
        System.out.println("消息需要发送的");
        return super.encodeMessage(message, buf);

    }

}
